##
##  perl-conv.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_convert_asn1             0.17
%define       V_convert_ber              1.3101
%define       V_convert_ebcdic           0.06
%define       V_convert_scalar           0.1e
%define       V_convert_units            0.43
%define       V_convert_uulib            0.213
%define       V_convert_tnef             0.17

#   FIXME tarball directory structure does not match tarball name
%define       V_src_3_FIXME              Convert-Scalar-0.1

#   package information
Name:         perl-conv
Summary:      Perl Modules for Conversions
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030513
Release:      20030513

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Convert/Convert-ASN1-%{V_convert_asn1}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Convert/Convert-BER-%{V_convert_ber}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Convert/Convert-EBCDIC-%{V_convert_ebcdic}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/Convert/Convert-Scalar-%{V_convert_scalar}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/Convert/Convert-Units-%{V_convert_units}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/Convert/Convert-UUlib-%{V_convert_uulib}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/Convert/Convert-TNEF-%{V_convert_tnef}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl, perl-openpkg
PreReq:       OpenPKG, openpkg >= 20020206, perl, perl-openpkg
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for Conversions:
    - Convert::ASN1 (%{V_convert_asn1})
    - Convert::BER (%{V_convert_ber})
    - Convert::EBCDIC (%{V_convert_ebcdic})
    - Convert::Scalar (%{V_convert_scalar})
    - Convert::Units (%{V_convert_units})
    - Convert::UUlib (%{V_convert_uulib})
    - Convert::TNEF (%{V_convert_tnef})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup5 -q -T -D -a 6

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{V_src_3_FIXME}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}

    #   build Convert::UUlib
    ( cd Convert-UUlib-%{V_convert_uulib}
      echo "ac_cv_header_malloc_h=no" >uulib/config.cache
      %{l_shtool} subst \
          -e 's;\./configure;./configure --cache-file=./config.cache;' \
          Makefile.PL
      %{l_prefix}/bin/perl-openpkg install
    )

    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

